Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.odftoolkit.odfdom.dom.element
Class OdfStylableElement

    java.lang.Object
      org.apache.xerces.dom.NodeImpl
          org.apache.xerces.dom.ChildNode
              org.apache.xerces.dom.ParentNode
                  org.apache.xerces.dom.ElementImpl
                      org.apache.xerces.dom.ElementNSImpl
                          org.odftoolkit.odfdom.dom.element.OdfElement
                              org.odftoolkit.odfdom.dom.element.OdfStylableElement

All Implemented Interfaces:
  Serializable, Cloneable, OdfStylePropertySet, Element, EventTarget, Node, NodeList, TypeInfo

Direct Known Subclasses:
  OdfAlphabeticalIndexElement, OdfAlphabeticalIndexEntryTemplateElement, OdfAxisElement, OdfBibliographyElement, OdfBibliographyEntryTemplateElement, OdfBodyElement, OdfChartElement, OdfDataPointElement, OdfDropCapElement, OdfErrorIndicatorElement, OdfEvenColumnsElement, OdfEvenRowsElement, OdfFirstColumnElement, OdfFirstRowElement, OdfFloorElement, OdfFooterElement, OdfGridElement, OdfHandoutMasterElement, OdfHyperlinkElement, OdfIllustrationIndexElement, OdfIllustrationIndexEntryTemplateElement, OdfIndexEntryBibliographyElement, OdfIndexEntryChapterElement, OdfIndexEntryLinkEndElement, OdfIndexEntryLinkStartElement, OdfIndexEntryPageNumberElement, OdfIndexEntrySpanElement, OdfIndexEntryTabStopElement, OdfIndexEntryTextElement, OdfIndexSourceStyleElement, OdfIndexTitleElement, OdfIndexTitleTemplateElement, OdfLastColumnElement, OdfLastRowElement, OdfLegendElement, OdfLinenumberingConfigurationElement, OdfMasterPageElement, OdfMeanValueElement, OdfNotesElement, OdfNumberedParagraphElement, OdfObjectIndexElement, OdfObjectIndexEntryTemplateElement, OdfOddColumnsElement, OdfOddRowsElement, OdfPageElement, OdfParagraphElementBase, OdfPlotAreaElement, OdfRegressionCurveElement, OdfRubyElement, OdfRubyTextElement, OdfSectionElement, OdfSeriesElement, OdfSpanElement, OdfStockGainMarkerElement, OdfStockLossMarkerElement, OdfStockRangeLineElement, OdfStyleablePresentationElement, OdfSubtitleElement, OdfTableCellElementBase, OdfTableColumnElement, OdfTableElement, OdfTableIndexElement, OdfTableIndexEntryTemplateElement, OdfTableOfContentElement, OdfTableOfContentEntryTemplateElement, OdfTableRowElement, OdfTitleElement, OdfUserIndexElement, OdfUserIndexEntryTemplateElement, OdfWallElement

    public abstract class OdfStylableElement

extends OdfElement
implements OdfStylePropertySet

See Also:
  Serialized Form

Field Summary
`protected OdfStyleFamily` | `mFamily`
`protected OdfName` | `mStyleNameAttrib`

Fields inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`mOdfDocument`

Fields inherited from class org.apache.xerces.dom.ElementNSImpl
`localName, namespaceURI`

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_IS_CONTAINED, DOCUMENT_POSITION_PRECEDING, ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, ID, IGNORABLEWS, NORMALIZED, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Fields inherited from interface org.w3c.dom.TypeInfo
`DERIVATION_EXTENSION, DERIVATION_LIST, DERIVATION_RESTRICTION, DERIVATION_UNION`

Constructor Summary
`OdfStylableElement(OdfFileDom ownerDocument, OdfName name, OdfStyleFamily family, OdfName styleNameAttrib)` Creates a new instance of OdfElementImpl

Method Summary
`OdfStyle` | `getAutomaticStyle()`
`OdfAutomaticStyles` | `getAutomaticStyles()`
`OdfStyle` | `getDocumentStyle()`
`OdfStyleElement` | `getOrCreateUnqiueAutomaticStyle()`
`Map<OdfStyleProperty,String>` | `getProperties(Set<OdfStyleProperty> properties)` gets more than one property at once
`String` | `getProperty(OdfStyleProperty property)` returns the given property from this styleable element or style.
`Set<OdfStyleProperty>` | `getStrictProperties()`
`OdfStyleFamily` | `getStyleFamily()`
`String` | `getStyleName()`
`boolean` | `hasAutomaticStyle()`
`boolean` | `hasDocumentStyle()`
`boolean` | `hasProperty(OdfStyleProperty property)` checks if this styleable element or style has this property directly set.
`protected void` | `onInsertNode()`
`protected void` | `onRemoveNode()`
`void` | `removeProperty(OdfStyleProperty property)` removes the given property from this set
`OdfStyle` | `reuseDocumentStyle(String styleName)`
`void` | `setAttributeNS(String uri, String name, String value)`
`void` | `setDocumentStyle(OdfStyle style)`
`void` | `setProperties(Map<OdfStyleProperty,String> properties)` set more than one property at once.
`void` | `setProperty(OdfStyleProperty property, String value)` sets a single style property for this element.
`void` | `setStyleName(String name)`

Methods inherited from class org.odftoolkit.odfdom.dom.element.OdfElement
`cloneNode, equals, findFirstChildNode, findNextChildNode, findPreviousChildNode, getAncestorAs, getOdfAttribute, getOdfName, getParentAs, hasOdfAttribute, insertBefore, onInsertNode, onRemoveNode, removeChild, replaceChild, setOdfAttribute, toString`

Methods inherited from class org.apache.xerces.dom.ElementNSImpl
`getBaseURI, getLocalName, getNamespaceURI, getPrefix, getTypeName, getTypeNamespace, isDerivedFrom, setPrefix, setType, setValues`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getAttributes, getDefaultAttributes, getElementsByTagName, getElementsByTagNameNS, getNodeName, getNodeType, getSchemaTypeInfo, getTagName, getXercesAttribute, hasAttribute, hasAttributeNS, hasAttributes, isEqualNode, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS, setOwnerDocument, setReadOnly, setupDefaultAttributes, setXercesAttributeNode, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, getTextContent, hasChildNodes, item, setTextContent, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, compareDocumentPosition, compareTreePosition, dispatchEvent, getContainer, getFeature, getNodeNumber, getNodeValue, getReadOnly, getUserData, getUserData, getUserDataRecord, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, needsSyncChildren, removeEventListener, setNodeValue, setUserData, setUserData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getChildNodes, getFeature, getFirstChild, getLastChild, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, getTextContent, getUserData, hasChildNodes, isDefaultNamespace, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, setNodeValue, setTextContent, setUserData`

Field Detail

### mFamily

    protected OdfStyleFamily mFamily

### mStyleNameAttrib

    protected OdfName mStyleNameAttrib

Constructor Detail

### OdfStylableElement

    public OdfStylableElement(OdfFileDom ownerDocument,
                              OdfName name,
                              OdfStyleFamily family,
                              OdfName styleNameAttrib)
                       throws DOMException

  Creates a new instance of OdfElementImpl

  Parameters:
    `ownerDocument` -
    `name` -
    `family` -
    `styleNameAttrib` -
  Throws:
    `DOMException`

Method Detail

### getOrCreateUnqiueAutomaticStyle

    public OdfStyleElement getOrCreateUnqiueAutomaticStyle()

  Returns:
    style

### getAutomaticStyles

    public OdfAutomaticStyles getAutomaticStyles()

  Returns:
    the style:automatic-styles element that contains the automatic style for this element, or null if not available.

### setAttributeNS

    public void setAttributeNS(String uri,
                               String name,
                               String value)

  Specified by:
    `setAttributeNS` in interface `Element`
  Overrides:
    `setAttributeNS` in class `ElementImpl`
  Parameters:
    `uri` -
    `name` -
    `value` -

### getStyleName

    public String getStyleName()

  Returns:
    the style name

### setStyleName

    public void setStyleName(String name)

  Parameters:
    `name` -

### getAutomaticStyle

    public OdfStyle getAutomaticStyle()

  Returns:
    the automatic style

### hasAutomaticStyle

    public boolean hasAutomaticStyle()

  Returns:
    true if there is an automatic style

### reuseDocumentStyle

    public OdfStyle reuseDocumentStyle(String styleName)

### setDocumentStyle

    public void setDocumentStyle(OdfStyle style)

### getDocumentStyle

    public OdfStyle getDocumentStyle()

  Returns:
    the document style

### hasDocumentStyle

    public boolean hasDocumentStyle()

  Returns:
    true if there is a document style.

### getStyleFamily

    public OdfStyleFamily getStyleFamily()

  Returns:
    the style family.

### getProperty

    public String getProperty(OdfStyleProperty property)

  Description copied from interface: `OdfStylePropertySet`
  returns the given property from this styleable element or style. If it is not directly set, the value of this property from a parent style will be returned.

  Specified by:
    `getProperty` in interface `OdfStylePropertySet`
  Parameters:
    `property` -
  Returns:
    string for a property.

### getProperties

    public Map<OdfStyleProperty,String> getProperties(Set<OdfStyleProperty> properties)

  Description copied from interface: `OdfStylePropertySet`
  gets more than one property at once

  Specified by:
    `getProperties` in interface `OdfStylePropertySet`
  Parameters:
    `properties` -
  Returns:
    a map of all the properties.

### getStrictProperties

    public Set<OdfStyleProperty> getStrictProperties()

  Specified by:
    `getStrictProperties` in interface `OdfStylePropertySet`
  Returns:
    a set of all the properties from the style family.

### hasProperty

    public boolean hasProperty(OdfStyleProperty property)

  Description copied from interface: `OdfStylePropertySet`
  checks if this styleable element or style has this property directly set.

  Specified by:
    `hasProperty` in interface `OdfStylePropertySet`
  Parameters:
    `property` -
  Returns:
    true if there is an automatic style with this property.

### removeProperty

    public void removeProperty(OdfStyleProperty property)

  Description copied from interface: `OdfStylePropertySet`
  removes the given property from this set

  Specified by:
    `removeProperty` in interface `OdfStylePropertySet`
  Parameters:
    `property` -

### setProperties

    public void setProperties(Map<OdfStyleProperty,String> properties)

  Description copied from interface: `OdfStylePropertySet`
  set more than one property at once.

  Specified by:
    `setProperties` in interface `OdfStylePropertySet`
  Parameters:
    `properties` -

### setProperty

    public void setProperty(OdfStyleProperty property,
                            String value)

  Description copied from interface: `OdfStylePropertySet`
  sets a single style property for this element.

  Specified by:
    `setProperty` in interface `OdfStylePropertySet`
  Parameters:
    `property` -
    `value` -

### onInsertNode

    protected void onInsertNode()

  Overrides:
    `onInsertNode` in class `OdfElement`

### onRemoveNode

    protected void onRemoveNode()

  Overrides:
    `onRemoveNode` in class `OdfElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.